"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.itemTypeEntity = exports.itemType = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var itemType = _propTypes.default.shape({
  icon: _propTypes.default.shape({
    icon: _propTypes.default.string.isRequired,
    sprite: _propTypes.default.string.isRequired
  }),
  id: _propTypes.default.string.isRequired,
  isDisabled: _propTypes.default.bool,
  isHeader: _propTypes.default.bool,
  label: _propTypes.default.string.isRequired,
  meta: _propTypes.default.node
});

exports.itemType = itemType;

var itemTypeEntity = _propTypes.default.shape({
  icon: _propTypes.default.shape({
    icon: _propTypes.default.string.isRequired,
    sprite: _propTypes.default.string.isRequired
  }).isRequired,
  id: _propTypes.default.string.isRequired,
  isDisabled: _propTypes.default.bool,
  isHeader: _propTypes.default.bool,
  label: _propTypes.default.string.isRequired,
  meta: _propTypes.default.node.isRequired
});

exports.itemTypeEntity = itemTypeEntity;