"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Table = require("../Table");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable react/prop-types */
var _default = function _default(_ref) {
  var dataKey = _ref.dataKey,
      onSort = _ref.onSort,
      sortable = _ref.sortable,
      sortBy = _ref.sortBy,
      sortDirection = _ref.sortDirection,
      title = _ref.title;
  var onClick = sortable ? function () {
    return onSort(dataKey);
  } : null;
  var classNames = (0, _classnames.default)({
    'slds-is-sorted': sortBy === dataKey
  });
  return _react.default.createElement(_Table.Cell, {
    className: classNames,
    key: dataKey,
    onClick: onClick,
    scope: "col",
    sortable: sortable,
    sortDirection: sortDirection
  }, title);
};

exports.default = _default;