"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Form = require("../Form");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable react/prop-types */
var _default = function _default(_ref) {
  var allSelected = _ref.allSelected,
      dataKey = _ref.dataKey,
      onSelectAll = _ref.onSelectAll,
      tableId = _ref.tableId;
  var checkboxId = "".concat(tableId, "-").concat(dataKey);
  return _react.default.createElement("th", {
    className: "slds-text-align--right",
    key: dataKey,
    scope: "col"
  }, _react.default.createElement("div", null, _react.default.createElement(_Form.CheckboxRaw, {
    checked: allSelected,
    hideLabel: true,
    id: checkboxId,
    label: "Select All",
    name: "options",
    onChange: onSelectAll
  })));
};
/* eslint-enable react/prop-types */


exports.default = _default;