"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Form = require("../Form");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable react/prop-types */
var _default = function _default(_ref) {
  var dataKey = _ref.dataKey,
      rowId = _ref.rowId,
      selected = _ref.selected,
      onSelect = _ref.onSelect,
      tableId = _ref.tableId;
  var checkboxId = "".concat(tableId, "-").concat(dataKey, "-").concat(rowId);
  return _react.default.createElement("td", {
    className: "slds-text-align--right",
    key: dataKey,
    role: "gridcell",
    style: {
      width: '3.25rem'
    }
  }, _react.default.createElement(_Form.CheckboxRaw, {
    checked: selected,
    hideLabel: true,
    id: checkboxId,
    label: "Select item ".concat(rowId),
    name: "options",
    onChange: function onChange() {
      return onSelect(rowId);
    }
  }));
};

exports.default = _default;