"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FileActions = function FileActions(_ref) {
  var children = _ref.children,
      hideTitle = _ref.hideTitle;
  if (!children) return null;

  var menu = _react.default.createElement("div", {
    className: "slds-file__actions-menu"
  }, children);

  if (!hideTitle) return menu;
  return _react.default.createElement("div", {
    className: "slds-file__title slds-file__title_scrim"
  }, menu);
};

FileActions.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes.default.element.isRequired,
  hideTitle: _propTypes.default.bool.isRequired
} : {};
var _default = FileActions;
exports.default = _default;