"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Icon = require("../Icon");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FileExternalIcon = function FileExternalIcon(_ref) {
  var externalIcon = _ref.externalIcon;
  var icon = externalIcon.icon,
      sprite = externalIcon.sprite,
      title = externalIcon.title;
  return _react.default.createElement("div", {
    className: "slds-file__external-icon"
  }, _react.default.createElement(_Icon.Icon, {
    className: "slds-file__icon",
    svgClassName: "slds-icon-text-default",
    icon: icon,
    sprite: sprite,
    title: title
  }));
};

FileExternalIcon.propTypes = process.env.NODE_ENV !== "production" ? {
  externalIcon: _propTypes.default.shape({
    icon: _propTypes.default.string,
    sprite: _propTypes.default.string,
    title: _propTypes.default.string
  }).isRequired
} : {};
var _default = FileExternalIcon;
exports.default = _default;