"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAriaLabel = exports.getTabsClass = void 0;

var getTabsClass = function getTabsClass(str) {
  var scoped = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  var postfix = str || '';
  var modifier = scoped ? 'scoped' : 'default';
  return "slds-tabs_".concat(modifier).concat(postfix);
};

exports.getTabsClass = getTabsClass;

var getAriaLabel = function getAriaLabel(id) {
  return "".concat(id, "__item");
};

exports.getAriaLabel = getAriaLabel;