"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Title = function Title(_ref) {
  var title = _ref.title,
      titleText = _ref.titleText;
  var isStringTitle = typeof title === 'string';
  return _react.default.createElement("h3", {
    className: "slds-tile__title slds-truncate",
    title: isStringTitle ? title : titleText
  }, title);
};

Title.propTypes = process.env.NODE_ENV !== "production" ? {
  title: _propTypes.default.node.isRequired,
  titleText: _propTypes.default.string.isRequired
} : {};
var _default = Title;
exports.default = _default;