"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var VisualPickerTileCaption = function VisualPickerTileCaption(_ref) {
  var children = _ref.children,
      title = _ref.title;
  return _react.default.createElement("span", {
    className: "slds-visual-picker__body"
  }, title && _react.default.createElement("span", {
    className: "slds-text-heading_small"
  }, title), _react.default.createElement("span", {
    className: "slds-text-title"
  }, children));
};

VisualPickerTileCaption.defaultProps = {
  title: null
};
VisualPickerTileCaption.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * Text content of the caption
   */
  children: _propTypes.default.node.isRequired,

  /**
   * Optional title rendered as `heading_small`
   */
  title: _propTypes.default.string
} : {};
var _default = VisualPickerTileCaption;
exports.default = _default;