"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.stepType = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var stepType = _propTypes.default.shape({
  title: _propTypes.default.node.isRequired,
  description: _propTypes.default.node.isRequired,
  id: _propTypes.default.oneOfType([_propTypes.default.string, _propTypes.default.number]),
  isCompleted: _propTypes.default.bool,
  icon: _propTypes.default.string.isRequired,
  sprite: _propTypes.default.string.isRequired
});

exports.stepType = stepType;