"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.decoratorProp = decoratorProp;
exports.applyDecorators = applyDecorators;

var _propTypes = _interopRequireDefault(require("prop-types"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function decoratorProp(arrayOfValues) {
  return _propTypes.default.oneOfType([_propTypes.default.oneOf(arrayOfValues), _propTypes.default.arrayOf(_propTypes.default.oneOf(arrayOfValues))]);
}

function applyDecorators(flavor) {
  var infix = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
  if (!flavor) return null;
  var prefix = !infix ? 'slds-' : "slds-".concat(infix, "_");
  return Array.isArray(flavor) ? flavor.map(function (f) {
    return "".concat(prefix).concat(f);
  }) : "".concat(prefix).concat(flavor);
}