import "core-js/modules/es.array.concat";
import React from 'react';
import { Row } from '../Table';
/* eslint-disable react/prop-types */

export default (function (_ref) {
  var cells = _ref.cells,
      isSelected = _ref.isSelected,
      rowId = _ref.rowId,
      tableId = _ref.tableId;
  var variation = isSelected ? 'is-selected' : undefined;
  return React.createElement(Row, {
    className: "slds-hint-parent",
    key: "".concat(tableId, "-").concat(rowId),
    variation: variation
  }, cells);
});