import "core-js/modules/es.array.concat";
import React from 'react';
import { CheckboxRaw } from '../Form';
/* eslint-disable react/prop-types */

export default (function (_ref) {
  var dataKey = _ref.dataKey,
      rowId = _ref.rowId,
      selected = _ref.selected,
      onSelect = _ref.onSelect,
      tableId = _ref.tableId;
  var checkboxId = "".concat(tableId, "-").concat(dataKey, "-").concat(rowId);
  return React.createElement("td", {
    className: "slds-text-align--right",
    key: dataKey,
    role: "gridcell",
    style: {
      width: '3.25rem'
    }
  }, React.createElement(CheckboxRaw, {
    checked: selected,
    hideLabel: true,
    id: checkboxId,
    label: "Select item ".concat(rowId),
    name: "options",
    onChange: function onChange() {
      return onSelect(rowId);
    }
  }));
});