import React from 'react';
import PropTypes from 'prop-types';

var FileActions = function FileActions(_ref) {
  var children = _ref.children,
      hideTitle = _ref.hideTitle;
  if (!children) return null;
  var menu = React.createElement("div", {
    className: "slds-file__actions-menu"
  }, children);
  if (!hideTitle) return menu;
  return React.createElement("div", {
    className: "slds-file__title slds-file__title_scrim"
  }, menu);
};

FileActions.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.element.isRequired,
  hideTitle: PropTypes.bool.isRequired
} : {};
export default FileActions;