import React from 'react';
import PropTypes from 'prop-types';

var Title = function Title(_ref) {
  var title = _ref.title,
      titleText = _ref.titleText;
  var isStringTitle = typeof title === 'string';
  return React.createElement("h3", {
    className: "slds-tile__title slds-truncate",
    title: isStringTitle ? title : titleText
  }, title);
};

Title.propTypes = process.env.NODE_ENV !== "production" ? {
  title: PropTypes.node.isRequired,
  titleText: PropTypes.string.isRequired
} : {};
export default Title;