import "core-js/modules/es.array.concat";
import "core-js/modules/es.array.map";
import PropTypes from 'prop-types';
export function decoratorProp(arrayOfValues) {
  return PropTypes.oneOfType([PropTypes.oneOf(arrayOfValues), PropTypes.arrayOf(PropTypes.oneOf(arrayOfValues))]);
}
export function applyDecorators(flavor) {
  var infix = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
  if (!flavor) return null;
  var prefix = !infix ? 'slds-' : "slds-".concat(infix, "_");
  return Array.isArray(flavor) ? flavor.map(function (f) {
    return "".concat(prefix).concat(f);
  }) : "".concat(prefix).concat(flavor);
}