"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

var _Content = require("./Content");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ChatListItemBookend = function ChatListItemBookend(_ref) {
  var isEnd = _ref.isEnd,
      message = _ref.message,
      timestamp = _ref.timestamp;
  var classNamesBookend = (0, _classnames.default)(['slds-chat-bookend', {
    'slds-chat-bookend_stop': isEnd
  }]);
  return _react.default.createElement("div", {
    className: classNamesBookend
  }, _react.default.createElement(_Content.EventContent, {
    icon: isEnd ? 'end_chat' : 'chat',
    message: message,
    timestamp: timestamp
  }));
};

ChatListItemBookend.defaultProps = {
  isEnd: false,
  timestamp: null
};
ChatListItemBookend.propTypes = process.env.NODE_ENV !== "production" ? {
  isEnd: _propTypes.default.bool,
  message: _propTypes.default.node.isRequired,
  timestamp: _propTypes.default.string
} : {};
var _default = ChatListItemBookend;
exports.default = _default;