"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HeaderDropdownItem = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _DropdownItemCore = require("./DropdownItemCore");

var _helpers = require("../../utils/helpers");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HeaderDropdownItem = function HeaderDropdownItem(_ref) {
  var id = _ref.id,
      label = _ref.label;
  return _react.default.createElement(_DropdownItemCore.DropdownItemCore, {
    className: "slds-listbox__option_plain",
    id: id,
    isHeader: true,
    onSelect: _helpers.preventDefault
  }, _react.default.createElement("h3", {
    className: "slds-text-title_caps"
  }, label));
};

exports.HeaderDropdownItem = HeaderDropdownItem;
HeaderDropdownItem.propTypes = process.env.NODE_ENV !== "production" ? {
  id: _propTypes.default.string.isRequired,
  label: _propTypes.default.string.isRequired
} : {};