"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LoadingIndicatorDropdownItem = void 0;

var _react = _interopRequireDefault(require("react"));

var _Spinner = require("../../../Spinner");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LoadingIndicatorDropdownItem = function LoadingIndicatorDropdownItem() {
  return _react.default.createElement("li", {
    className: "slds-listbox__item",
    role: "presentation"
  }, _react.default.createElement("div", {
    className: "slds-align_absolute-center slds-p-top_medium"
  }, _react.default.createElement(_Spinner.Spinner, {
    size: "x-small",
    inline: true
  })));
};

exports.LoadingIndicatorDropdownItem = LoadingIndicatorDropdownItem;