"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SearchIndicatorDropdownItem = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _EntityDropdownItem = require("./EntityDropdownItem");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var searchIcon = {
  icon: 'search',
  sprite: 'utility'
};

var SearchIndicatorDropdownItem = function SearchIndicatorDropdownItem(_ref) {
  var search = _ref.search;
  return _react.default.createElement(_EntityDropdownItem.EntityDropdownItem, {
    className: "slds-listbox__option_term",
    isPresentation: true,
    icon: searchIcon,
    label: search
  });
};

exports.SearchIndicatorDropdownItem = SearchIndicatorDropdownItem;
SearchIndicatorDropdownItem.propTypes = process.env.NODE_ENV !== "production" ? {
  search: _propTypes.default.string.isRequired
} : {};