"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Table = require("../Table");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable react/prop-types */
var _default = function _default(_ref) {
  var cells = _ref.cells,
      isSelected = _ref.isSelected,
      rowId = _ref.rowId,
      tableId = _ref.tableId;
  var variation = isSelected ? 'is-selected' : undefined;
  return _react.default.createElement(_Table.Row, {
    className: "slds-hint-parent",
    key: "".concat(tableId, "-").concat(rowId),
    variation: variation
  }, cells);
};

exports.default = _default;