"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Grid = require("../../Grid");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TitleRow = function TitleRow(_ref) {
  var children = _ref.children,
      action = _ref.action;
  if (!action) return children;
  return _react.default.createElement(_Grid.Grid, {
    className: "slds-has-flexi-truncate",
    align: "spread"
  }, children, _react.default.createElement("div", {
    className: "slds-shrink-none"
  }, action));
};

TitleRow.defaultProps = {
  action: null
};
TitleRow.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes.default.node.isRequired,
  action: _propTypes.default.node
} : {};
var _default = TitleRow;
exports.default = _default;