"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _Progress = require("../../Progress");

var _constants = require("../constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var WelcomeMatProgress = function WelcomeMatProgress(_ref) {
  var steps = _ref.steps;
  var len = steps.length;
  if (len === 0) return null;
  var completedSteps = steps.filter(function (_ref2) {
    var isCompleted = _ref2.isCompleted;
    return isCompleted;
  }).length;
  return _react.default.createElement("div", {
    className: "slds-welcome-mat__info-progress"
  }, _react.default.createElement("p", null, _react.default.createElement("strong", null, "".concat(completedSteps, "/").concat(len, " completed"))), _react.default.createElement(_Progress.ProgressBar, {
    circular: true,
    min: 0,
    max: len,
    success: true,
    progress: completedSteps
  }));
};

WelcomeMatProgress.propTypes = process.env.NODE_ENV !== "production" ? {
  steps: _propTypes.default.arrayOf(_constants.stepType).isRequired
} : {};
var _default = WelcomeMatProgress;
exports.default = _default;