import React from 'react';
import PropTypes from 'prop-types';
import { DropdownItemCore } from './DropdownItemCore';
import { preventDefault } from '../../utils/helpers';
export var HeaderDropdownItem = function HeaderDropdownItem(_ref) {
  var id = _ref.id,
      label = _ref.label;
  return React.createElement(DropdownItemCore, {
    className: "slds-listbox__option_plain",
    id: id,
    isHeader: true,
    onSelect: preventDefault
  }, React.createElement("h3", {
    className: "slds-text-title_caps"
  }, label));
};
HeaderDropdownItem.propTypes = process.env.NODE_ENV !== "production" ? {
  id: PropTypes.string.isRequired,
  label: PropTypes.string.isRequired
} : {};