import "core-js/modules/es.array.concat";
import React from 'react';
import { CheckboxRaw } from '../Form';
/* eslint-disable react/prop-types */

export default (function (_ref) {
  var allSelected = _ref.allSelected,
      dataKey = _ref.dataKey,
      onSelectAll = _ref.onSelectAll,
      tableId = _ref.tableId;
  var checkboxId = "".concat(tableId, "-").concat(dataKey);
  return React.createElement("th", {
    className: "slds-text-align--right",
    key: dataKey,
    scope: "col"
  }, React.createElement("div", null, React.createElement(CheckboxRaw, {
    checked: allSelected,
    hideLabel: true,
    id: checkboxId,
    label: "Select All",
    name: "options",
    onChange: onSelectAll
  })));
});
/* eslint-enable react/prop-types */