import React from 'react';
import PropTypes from 'prop-types';
import { Grid } from '../../Grid';

var TitleRow = function TitleRow(_ref) {
  var children = _ref.children,
      action = _ref.action;
  if (!action) return children;
  return React.createElement(Grid, {
    className: "slds-has-flexi-truncate",
    align: "spread"
  }, children, React.createElement("div", {
    className: "slds-shrink-none"
  }, action));
};

TitleRow.defaultProps = {
  action: null
};
TitleRow.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.node.isRequired,
  action: PropTypes.node
} : {};
export default TitleRow;