import "core-js/modules/es.symbol";
import "core-js/modules/es.symbol.description";
import "core-js/modules/es.symbol.iterator";
import "core-js/modules/es.array.concat";
import "core-js/modules/es.array.from";
import "core-js/modules/es.array.iterator";
import "core-js/modules/es.array.reduce";
import "core-js/modules/es.date.to-string";
import "core-js/modules/es.object.to-string";
import "core-js/modules/es.regexp.exec";
import "core-js/modules/es.regexp.to-string";
import "core-js/modules/es.string.iterator";
import "core-js/modules/es.string.split";
import "core-js/modules/web.dom-collections.iterator";

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

var themeNames = ['alt-inverse', 'default', 'error', 'info', 'inverse', 'offline', 'shade', 'success', 'warning'];
export var THEMES = themeNames.reduce(function (acc, curr) {
  return [].concat(_toConsumableArray(acc), [curr, "".concat(curr, " texture")]);
}, []);
export function getThemeClass(theme) {
  var classes = [];

  if (/\stexture/.test(theme)) {
    classes.push("slds-theme_".concat(theme.split(' ')[0]));
    classes.push('slds-theme_alert-texture');
  } else if (theme) {
    classes.push("slds-theme_".concat(theme));
  }

  return classes;
}